Bug 2001270 - [VMIO] [Warm from Vmware] Snapshot files are not deleted after Successful Import
Summary: [VMIO] [Warm from Vmware] Snapshot files are not deleted after Successful Import
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: V2V
Version: 4.8.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.3
Assignee: Sam Lucidi
QA Contact: Maayan Hadasi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-05 03:30 UTC by Amos Mastbaum
Modified: 2021-12-02 17:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-02 17:01:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github kubevirt vm-import-operator pull 515 0 None open Fix failure to clean up after warm migration 2021-09-15 20:03:37 UTC
Red Hat Product Errata RHSA-2021:4914 0 None None None 2021-12-02 17:01:34 UTC

Description Amos Mastbaum 2021-09-05 03:30:59 UTC
Description of problem:

Snapshots are not removed in warm migration after successful migration.

*The Snapshots are removed once the VM import CRs is removed.


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Turn ON the  Source VM  and Run a warm migration 
2.
3.

Actual results:
Snapshots are only removed if deleting the vmio import crs

Expected results:
All Snapshots created by mtv should be removed are a succesfull migration 

Additional info:
This is found a regression in 4.8.2-12 (4.8.2-5 was tested and snapshots are removed as expected).

Comment 1 Fabien Dupont 2021-09-07 20:31:46 UTC
We're too late to fix in 4.8.2. Targeting to 4.8.3.

Comment 3 Fabien Dupont 2021-10-04 09:48:27 UTC
Please verify with hco-bundle-registry-container-v4.8.3-11 / iib:117885.

Comment 4 Maayan Hadasi 2021-10-05 08:04:15 UTC
Verified as fixed

Versions:
hco-bundle-registry-container-v4.8.3-11 / iib:117885
MTV 2.1.0 GA

Comment 12 errata-xmlrpc 2021-12-02 17:01:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Virtualization 4.8.3 Images security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4914


Note You need to log in before you can comment on or make changes to this bug.